# Mashroom Identity

The Identity service is intended to provide identity verification services. The service uses [RentProfile](https://www.rentprofile.co) and OFSI's financial sanctions list (static file) to check tenants, landlords or guarantors.

## GRPC API

Method | Scope | Description
-|-|-
TenantsInvite | | Invokes the [Invite method of the RentProfile API](https://www.rentprofile.co/api/documentation#inviteapi) and creates a new tenant polling entry to periodically poll the progress of the tenant check in the RentProfile
TenantsStatus | | Invokes the [Status method of the RentProfile API](https://www.rentprofile.co/api/documentation#statusapi) and, if the tenant check is complete (profile link isn't empty), invokes the [Result method of the RentProfile API](https://www.rentprofile.co/api/documentation#resultapi) to get the PDF report and risk score, and destroys the tenant polling entry
TenantsResult | | Invokes the [Result method of the RentProfile API](https://www.rentprofile.co/api/documentation#resultapi) (with PDF report storing)
LandlordCheck | | Deprecated
LandlordStatus | | Deprecated
SanctionsCheck | | Checks if the specified name is on the OFSI's financial sanctions list

## GRPC coupling

Service | Use
-|-
Document | Used by polling function and GRPC API methods to store PDF files
Offer | Polling function calls the `TenantCheckUpdate` method of this service

## Databases

DBMS | Extensions
-|-
MongoDB | none
  
Access abstraction: none.  
Migrations: versioned migrations (hardcoded, not embedded) are applied at the service startup.  

## Zeebe integration

### Job handler ("identity-service")

Operation | Description | Input | Output
-|-|-|-
`request-tenant-check` | Invite tenant to rentprofile checking |-| error(optional) – error details
`request-landlord-check` | Invite landlord to rentprofile checking | - | error(optional) – error details
`skip-checks` | Destroys all tenant polling entries for the specified offer | - | error(optional) – error details

### Monitoring API

None.

## Observability

N/A


