//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. --proto_path=. --proto_path=vendor/gitlab.mashroom.com/mashroom/backend mashroom_identity.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mockidentity -destination=mock/client.go . IdentityServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package identity - api definition
package identity // import "gitlab.mashroom.com/mashroom/backend/identity/api"

import (
	// generic proto
	_ "gitlab.mashroom.com/mashroom/backend/common/api/generic"
	_ "gitlab.mashroom.com/mashroom/backend/common/api/protobuf"
)
