// Package v1 provides migration for mongo repository
package v1

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	collectionSanction := db.Collection("sanction")

	_, _ = collectionSanction.Indexes().DropAll(ctx)

	_, err := collectionSanction.Indexes().CreateOne(ctx, mongo.IndexModel{
		Keys: bson.M{
			"search": 1,
		},
	})

	return -1, err
}
