package model

import (
	"time"

	identity "gitlab.mashroom.com/mashroom/backend/identity/api"
	"go.mongodb.org/mongo-driver/bson/primitive"
)

// Polling entry for each checked party
type Polling struct {
	// Only for tests (when we need emulated response)
	Emulated     *PollingEmulatedData `bson:"emulated_data,omitempty"`
	CreatedAt    time.Time            `bson:"created_at"`
	LastPolledAt time.Time            `bson:"last_polled_at"`
	InviteDate   time.Time            `bson:"invite_date,omitempty"`
	Offer        string               `bson:"offer"`
	Name         string               `bson:"name"`
	RequestID    string               `bson:"request_id"`
	Status       string               `bson:"status,omitempty"`
	ProfileLink  string               `bson:"profile_link,omitempty"`
	PDFURL       string               `bson:"pdf_url,omitempty"`
	PDFID        string               `bson:"pdf_id,omitempty"`
	RiskScore    string               `bson:"risk_score,omitempty"`
	ID           primitive.ObjectID   `bson:"_id,omitempty"`
	Type         PollingType          `bson:"-"`
}

// PollingEmulatedData emulated rentprofile response
type PollingEmulatedData struct {
	ProfileLink  string              `bson:"profile_link"`
	RiskDocument string              `bson:"risk_document"`
	Risk         identity.TenantRisk `bson:"risk"`
}
