package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// Sanction entry for individuals sanctioned from receiving UK-based services
type Sanction struct {
	Version          time.Time          `bson:"version"`
	Name6            string             `bson:"name6" csv:"Name 6"`
	Name1            string             `bson:"name1" csv:"Name 1"`
	Name2            string             `bson:"name2" csv:"Name 2"`
	Name3            string             `bson:"name3" csv:"Name 3"`
	Name4            string             `bson:"name4" csv:"Name 4"`
	Name5            string             `bson:"name5" csv:"Name 5"`
	Title            string             `bson:"title" csv:"Title"`
	DOB              string             `bson:"dob" csv:"DOB"`
	TownOfBirth      string             `bson:"town_of_birth" csv:"Town of Birth"`
	CountryOfBirth   string             `bson:"country_of_birth" csv:"Country of Birth"`
	Nationality      string             `bson:"nationality" csv:"Nationality"`
	PassportDetails  string             `bson:"passport_details" csv:"Passport Details"`
	NiNumber         string             `bson:"ni_number" csv:"NI Number"`
	Position         string             `bson:"position" csv:"Position"`
	Address1         string             `bson:"address1" csv:"Address 1"`
	Address2         string             `bson:"address2" csv:"Address 2"`
	Address3         string             `bson:"address3" csv:"Address 3"`
	Address4         string             `bson:"address4" csv:"Address 4"`
	Address5         string             `bson:"address5" csv:"Address 5"`
	Address6         string             `bson:"address6" csv:"Address 6"`
	PostZipCode      string             `bson:"post_zip_code" csv:"Post/Zip Code"`
	Country          string             `bson:"country" csv:"Country"`
	OtherInformation string             `bson:"other_information" csv:"Other Information"`
	GroupType        string             `bson:"group_type" csv:"Group Type"`
	AliasType        string             `bson:"alias_type" csv:"Alias Type"`
	Regime           string             `bson:"regime" csv:"Regime"`
	ListedOn         string             `bson:"listed_on" csv:"Listed On"`
	LastUpdated      string             `bson:"last_updated" csv:"Last Updated"`
	GroupID          string             `bson:"group_id" csv:"Group ID"`
	Key              string             `bson:"key"`
	Search           []string           `bson:"search"`
	ID               primitive.ObjectID `bson:"_id,omitempty"`
}
